Mac - Error -192 on launch on 680x0 hardware

VERIFIED WONTFIX

Status

SeaMonkey
UI Design
P2
normal
VERIFIED WONTFIX
19 years ago
14 years ago

People

(Reporter: cpratt, Assigned: Paul Chen)

Tracking

({pp})

Trunk
PowerPC
Mac System 7

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
Build ID: 1999080908
Platform: System 7.5.5, LC 475 (68LC040) hardware

To reproduce:
- Download and unstuff the latest seamonkey build
- Open apprunner

Result: A system error message appears (error -192). On Mac OS 8.1, the same
system error message is changed to suggest that the application "may not run on
[your] hardware".

Expected result: apprunner should put up its own error message explaining that
it requires a PowerPC-based Mac OS computer.

Updated

19 years ago
Assignee: don → davidm
Component: Browser-General → XPApps
Target Milestone: M14

Updated

19 years ago
Priority: P3 → P2

Updated

19 years ago
Status: NEW → ASSIGNED

Comment 1

19 years ago
assign so I stop getting spammed
(Reporter)

Updated

19 years ago
QA Contact: leger → elig

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → INVALID

Updated

19 years ago
Status: RESOLVED → VERIFIED

Comment 2

19 years ago
WE only support Mac OS 8.5 and above.  marking this bug Invalid.

Updated

19 years ago
Status: VERIFIED → REOPENED

Updated

19 years ago
Resolution: INVALID → ---

Comment 3

19 years ago
Re-opening. This is a perfectly valid bug.

We have tens of millions of users over diverse hardware and with diverse
technical backgrounds.

Unless it is not technically practical to do, it is our responsibility to provide
a meaningful error message that the software won't run either at the application
level, or at the installer level.

Comment 4

19 years ago
Specifically, I meant to say that if the user attempts to execute the software on
a platform/OS that isn't supported, they should receive a meaningful error.

(They should also receive a meaningful error if they try to *install* it on an
unsupported platform, as well.)

Comment 5

19 years ago
Finally, I'd gladly accept a LATER resolution to 5.1, but not INVALID. ;)

Comment 6

19 years ago
I think the proper fix is to make a fat app and have the 68K version jsut put up
a dialog saying PPC is required. That is a bit of work.

Updated

19 years ago
Assignee: davidm → don
Status: REOPENED → NEW
Target Milestone: M14 → M15

Comment 7

19 years ago
M15.

Updated

19 years ago
Keywords: pp

Updated

18 years ago
Summary: [PP] Mac - Error -192 on launch on 680x0 hardware → Mac - Error -192 on launch on 680x0 hardware

Comment 8

18 years ago
Move to M16 for now ...
Target Milestone: M15 → M16

Updated

18 years ago
Target Milestone: M16 → M18

Comment 9

18 years ago
Move to M21 target milestone.
Target Milestone: M18 → M21
Since Don has left, Vishy is taking his bugs in bulk, pending reassignment.
thanks,
	Vishy
Assignee: don → vishy

Updated

18 years ago
QA Contact: elig → sairuh
(Assignee)

Comment 11

18 years ago
nav triage team:

Would be nice to have, but I don't think we'll do for beta1, marking nsbeta1-
Keywords: nsbeta1-

Comment 12

17 years ago
mac, pchen
Assignee: vishy → pchen

Comment 13

17 years ago
mac 68k is dead.  Don't run PPC stuff on 68k, people
will figure this out.  Marking wontfix.
Status: NEW → RESOLVED
Last Resolved: 19 years ago17 years ago
Resolution: --- → WONTFIX
v
Status: RESOLVED → VERIFIED
Product: Core → Mozilla Application Suite
You need to log in before you can comment on or make changes to this bug.